dp14rxss: XDpRxSs Struct Reference

| dp14rxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDpRxSs Struct Reference
Dprxss_v4_2

The DisplayPort RX Subsystem driver instance data. More...

## Data Fields
XDpRxSs_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XDp * | DpPtr
| DisplayPort sub-core instance. More...
XIic * | IicPtr
| IIC sub-core instance. More...
XDpRxSs_Callback | PllResetCallback
| Callback function for PLL reset. More...
void * | PllResetRef
| A pointer to the user data passed to the PLL reset callback function. More...
XDpRxSs_Callback | LinkBwCallback
| Callback function for link bandwidth. More...
void * | LinkBwRef
| A pointer to the user data passed to the link bandwidth callback function. More...
XDpRxSs_Callback | UnplugCallback
| Callback function for unplug event. More...
void * | UnplugRef
| A pointer to the user data passed to the unplug event callback function. More...
XDpRxSs_Callback | AccessLaneSetCallback
| Callback function for AccessLaneSet. More...
void * | AccessLaneSetRef
| A pointer to the user data passed to the AccessLaneSet callback function. More...
u8 | VBlankEnable
| Vertical Blank Enable. More...
u8 | VBlankCount
| Vertical Blank Count. More...
XDpRxSs_UsrOpt | UsrOpt
| User Options structure. More...
u8 | ceItrCounter
| Equalization counter to keep track of iterations. More...
u32 | ceRequestValue
| To keep track of previous value and used to compare with current value. More...
u8 | ltState
| To check if current LT is in CR or CE. More...
XDpRxSs_HdcpProtocol | HdcpProtocol
| HDCP protocol selected. More...
u8 * | EdidDataPtr [XDP_MAX_NPORTS]
| Pointer to EDID Data. More...
u16 | EdidSize [XDP_MAX_NPORTS]
| Size of EDID Data. More...

## Detailed Description

The DisplayPort RX Subsystem driver instance data.

An instance must be allocated for each core in use.

## Field Documentation

XDpRxSs_Callback XDpRxSs::AccessLaneSetCallback

Callback function for AccessLaneSet.

void* XDpRxSs::AccessLaneSetRef

A pointer to the user data passed to the AccessLaneSet callback function.

u8 XDpRxSs::ceItrCounter

Equalization counter to keep track of iterations.

u32 XDpRxSs::ceRequestValue

To keep track of previous value and used to compare with current value.

XDpRxSs_Config XDpRxSs::Config

Hardware Configuration.

Referenced by DpRxSs_CRCTestEventHandler(), video_change_detect(), XDpRxSs_CfgInitialize(), XDpRxSs_ExposePort(), XDpRxSs_ReportCoreInfo(), XDpRxSs_Reset(), and XDpRxSs_SelfTest().

XDp* XDpRxSs::DpPtr

DisplayPort sub-core instance.

Referenced by CalculateCRC(), detect_rx_video_and_startTx(), DpPt_HpdEventHandler(), DpRxSs_AccessErrorCounterHandler(), DpRxSs_AccessLinkQualHandler(), DpRxSs_CRCTestEventHandler(), DpRxSs_CustomWaitUs(), DpRxSs_DetectResolution(), DpRxSs_ExtPacketHandler(), DpRxSs_InfoPacketHandler(), DpRxSs_NoVideoHandler(), DpRxSs_PllResetHandler(), DpRxSs_Setup(), DpRxSs_SetupTimerHandler(), DpRxSs_TrainingLostHandler(), DpRxSs_UnplugHandler(), hpd_con(), reconfig_clkwiz(), video_change_detect(), XDpRxSs_CfgInitialize(), XDpRxSs_CheckLinkStatus(), XDpRxSs_DpIntrHandler(), XDpRxSs_DrvNoVideoHandler(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_DrvVideoHandler(), XDpRxSs_ExposePort(), XDpRxSs_HandleDownReq(), XDpRxSs_ReportCoreInfo(), XDpRxSs_ReportLinkInfo(), XDpRxSs_ReportMsaInfo(), XDpRxSs_Reset(), XDpRxSs_SelfTest(), XDpRxSs_SetCallBack(), XDpRxSs_SetLaneCount(), XDpRxSs_SetLinkRate(), XDpRxSs_SetUserPixelWidth(), XDpRxSs_SetUserTimerHandler(), and XDpRxSs_Start().

u8* XDpRxSs::EdidDataPtr[XDP_MAX_NPORTS]

Pointer to EDID Data.

u16 XDpRxSs::EdidSize[XDP_MAX_NPORTS]

Size of EDID Data.

XDpRxSs_HdcpProtocol XDpRxSs::HdcpProtocol

HDCP protocol selected.

XIic* XDpRxSs::IicPtr

IIC sub-core instance.

Referenced by XDpRxSs_CfgInitialize(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_McDp6000_init(), XDpRxSs_ReportCoreInfo(), XDpRxSs_ReportDp159BitErrCount(), XDpRxSs_Reset(), and XDpRxSs_SelfTest().

u32 XDpRxSs::IsReady

Core and the driver instance are initialized.

Referenced by XDpRxSs_CfgInitialize(), XDpRxSs_DpIntrHandler(), XDpRxSs_DrvNoVideoHandler(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_DrvVideoHandler(), and XDpRxSs_SetCallBack().

XDpRxSs_Callback XDpRxSs::LinkBwCallback

Callback function for link bandwidth.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::LinkBwRef

A pointer to the user data passed to the link bandwidth callback function.

Referenced by XDpRxSs_SetCallBack().

u8 XDpRxSs::ltState

To check if current LT is in CR or CE.

XDpRxSs_Callback XDpRxSs::PllResetCallback

Callback function for PLL reset.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::PllResetRef

A pointer to the user data passed to the PLL reset callback function.

Referenced by XDpRxSs_SetCallBack().

XDpRxSs_Callback XDpRxSs::UnplugCallback

Callback function for unplug event.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::UnplugRef

A pointer to the user data passed to the unplug event callback function.

Referenced by XDpRxSs_SetCallBack().

XDpRxSs_UsrOpt XDpRxSs::UsrOpt

User Options structure.

Referenced by CalculateCRC(), DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), DpRxSs_LinkBandwidthHandler(), DpRxSs_MstExample(), XDpRxSs_CfgInitialize(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_ExposePort(), XDpRxSs_ReportCoreInfo(), XDpRxSs_SetLaneCount(), XDpRxSs_SetLinkRate(), and XDpRxSs_Start().

u8 XDpRxSs::VBlankCount

Vertical Blank Count.

Referenced by DpRxSs_NoVideoHandler(), DpRxSs_TrainingLostHandler(), DpRxSs_UnplugHandler(), and DpRxSs_VerticalBlankHandler().

u8 XDpRxSs::VBlankEnable

Vertical Blank Enable.